SSL_get_version(3)

NAME
SSL_get_version - get the protocol version of a connection.

SYNOPSIS
 #include <openssl/ssl.h>

 const char *SSL_get_version(const SSL *ssl);

DESCRIPTION
SSL_get_version() returns the name of the protocol used for the connection ssl.

RETURN VALUES
The following strings can be returned:

SSLv2
    The connection uses the SSLv2 protocol.

SSLv3
    The connection uses the SSLv3 protocol.

TLSv1
    The connection uses the TLSv1.0 protocol.

TLSv1.1
    The connection uses the TLSv1.1 protocol.

TLSv1.2
    The connection uses the TLSv1.2 protocol.

unknown
    This indicates that no version has been set (no connection established).

SEE ALSO
ssl(3)